---
lang: en
title: 'API docs: cron.croncomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.croncomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md) &gt; [CronComponent](./cron.croncomponent.md)

## CronComponent class

The CronComponent manages cron jobs. It serves as an extension point for cron jobs.

<b>Signature:</b>

```typescript
export declare class CronComponent implements Component, LifeCycleObserver 
```
<b>Implements:</b> [Component](./core.component.md)<!-- -->, [LifeCycleObserver](./core.lifecycleobserver.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(getJobs)](./cron.croncomponent._constructor_.md) |  | Constructs a new instance of the <code>CronComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [getJobs](./cron.croncomponent.getjobs.md) |  | [Getter](./context.getter.md)<!-- -->&lt;[CronJob](./cron.cronjob.md)<!-- -->\[\]&gt; |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [start()](./cron.croncomponent.start.md) |  |  |
|  [stop()](./cron.croncomponent.stop.md) |  |  |


